Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class PropertyResourceBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.PropertyResourceBundle

public class PropertyResourceBundle
extends ResourceBundle

`PropertyResourceBundle` is a concrete subclass of `ResourceBundle` that manages resources for a locale using a set of static strings from a property file. See `ResourceBundle` for more information about resource bundles. See `Properties` for more information about properties files, in particular the information on character encodings.

Unlike other types of resource bundle, you don't subclass `PropertyResourceBundle`. Instead, you supply properties files containing the resource data. `ResourceBundle.getBundle` will automatically look for the appropriate properties file and create a `PropertyResourceBundle` that refers to it. See `ResourceBundle.getBundle` for a complete description of the search and instantiation strategy.

The following example shows a member of a resource bundle family with the base name "MyResources". The text defines the bundle "MyResources_de", the German member of the bundle family. This member is based on `PropertyResourceBundle`, and the text therefore is the content of the file "MyResources_de.properties" (a related example shows how you can add bundles to this family that are implemented as subclasses of `ListResourceBundle`). The keys in this example are of the form "s1" etc. The actual keys are entirely up to your choice, so long as they are the same as the keys you use in your program to retrieve the objects from the bundle. Keys are case-sensitive.

>      # MessageFormat pattern
>      s1=Die Platte \"{1}\" enthält {0}.

>      # location of {0} in pattern
>      s2=1

>      # sample disk name
>      s3=Meine Platte

>      # first ChoiceFormat choice
>      s4=keine Dateien

>      # second ChoiceFormat choice
>      s5=eine Datei

>      # third ChoiceFormat choice
>      s6={0,number} Dateien

>      # sample date
>      s7=3. März 1996

Since:
  JDK1.1
See Also:
  `ResourceBundle`, `ListResourceBundle`, `Properties`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`PropertyResourceBundle(InputStream stream)` Creates a property resource bundle.

Method Summary
`Enumeration` | `getKeys()` Implementation of ResourceBundle.getKeys.
`Object` | `handleGetObject(String key)` Gets an object for the given key from this resource bundle.

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyResourceBundle

    public PropertyResourceBundle(InputStream stream)
                           throws IOException

  Creates a property resource bundle.

Parameters:
  `stream` - property file to read from.

Method Detail

### handleGetObject

    public Object handleGetObject(String key)

  Description copied from class: `ResourceBundle`
  Gets an object for the given key from this resource bundle. Returns null if this resource bundle does not contain an object for the given key.

  Specified by:
    `handleGetObject` in class `ResourceBundle`
  Parameters:
    `key` - the key for the desired object
  Returns:
    the object for the given key, or null

### getKeys

    public Enumeration getKeys()

  Implementation of ResourceBundle.getKeys.

  Specified by:
    `getKeys` in class `ResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.